Package org.eclipse.lemminx.services.extensions.rename

## Interface IPrepareRenameRequest

All Superinterfaces:
  `IPositionRequest`

    public interface IPrepareRenameRequest
    extends IPositionRequest

Prepare rename request API.

### Method Summary

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IPositionRequest

`getComponent, getCurrentAttribute, getCurrentAttributeName, getCurrentTag, getLineIndentInfo, getNode, getOffset, getParentElement, getPosition, getXMLDocument`